--- index.html.orig	2013-11-07 14:58:58.000000000 -0500
+++ index.html	2016-08-26 15:32:44.525168914 -0400
@@ -18,8 +18,21 @@
   <script src='lib/highlight.7.3.pack.js' type='text/javascript'></script>
   <script type="text/javascript">
     $(function () {
+      function update_authorization() {
+        var key = $('#input_apiKey')[0].value;
+        console.log("key: " + key);
+        if(key && key.trim() != "") {
+          window.authorizations.add("key", new ApiKeyAuthorization("api_key", key, "query"));
+        }
+      }
+
+      var url = $('#input_baseUrl')[0].value;
+      if (url.trim() == "") {
+        url = "http://localhost:8088/ari/api-docs/resources.json";
+      }
+
       window.swaggerUi = new SwaggerUi({
-      url: "http://localhost:8088/ari/api-docs/resources.json",
+      url: url,
       dom_id: "swagger-ui-container",
       supportedSubmitMethods: ['get', 'post', 'put', 'delete'],
       onComplete: function(swaggerApi, swaggerUi){
@@ -37,14 +50,8 @@
       docExpansion: "none"
     });
 
-    $('#input_apiKey').change(function() {
-      var key = $('#input_apiKey')[0].value;
-      console.log("key: " + key);
-      if(key && key.trim() != "") {
-        console.log("added key " + key);
-        window.authorizations.add("key", new ApiKeyAuthorization("api_key", key, "query"));
-      }
-    })
+    $('#input_apiKey').change(update_authorization)
+    update_authorization();
     window.swaggerUi.load();
   });
 
